<?php

abstract class Wact_View_Repeated_Test extends Wact_View_Scoped_Test {

    protected $parent;

    // Override parent test
    function testRender() {
        $this->view->setIterator(array(
            array('field' => 'value1'),
            array('field' => 'value2'),
            array('field' => 'value3')
            ));

        $child = new MockWact_View_Partial($this);
        $child->expectCallCount('render', 3);

        $this->view->appendChild($child);

        $this->parent->bindScope($this->parent, $this->parent);
        
        ob_start();
        $this->parent->render();
        $output = ob_get_contents();
        ob_end_clean();
        
        $child->tally();
    }
    
    // Override parent test
    function testDataProperty() {
    }
}

?>